nec2c(1)

NAME
nec2c - Translation of the NEC2 FORTRAN source code to the C language

SYNOPSIS
nec2c [/-i<input-file-name>] [/-o<output-file-name>][/-hv]

DESCRIPTION
The translation was performed mostly "by hand" and a lot of modifications to the original program were introduced in order to modernize the NEC2 and to remove as many built-in limitations as possible. The attendant SOMNEC program was also translated to C and incorporated in nec2c as a function so that Sommerfeld ground solutions are a part of the program.

OPTIONS
The -i option is always needed and it specifies the name of the input file. The -o switch is optional and it specifies the output file name. If not used, a name for the output file is made by stripping any extensions from the input file name and adding a ".out" extension, e.g. nec2c -i yagi.nec will cause nec2c to read yagi.nec as the input file and produce yagi.out as the output file.

-i input filename
    Input File Name

-o output filename
    Output File Name

-h
    Print usage information and exit

-v
    Print nec2c version number and exit

AUTHORS
nec2c is Copyright © Neoklis Kyriazis 5B4AZ.

COPYRIGHT
This manual page is Copyright © 2015 Dave Hibberd.

This manual page was written for the Debian system (but may be used by others).

Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 or (at your option) any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL-2.

SEE ALSO
xnec2c(1)